CANVAS_PROTO_COORD_CONVERT_FUNC(3)

PROTO_FUNC
canvas_PROTO_coord_convert_func - Co-ordinate conversion callback.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_PROTO_coord_convert_func

(KWorldCanvas canvas, unsigned int num_coords, CONST double *xin, CONST double *yin, double *xout, double *yout, flag to_linear, void **info)

DESCRIPTION
This routine will convert between linear co-ordinates and pixel co-ordinates for a world canvas.

canvas
    The canvas.

num_coords
    The number of co-ordinates to transform.

xin The array of input horizontal co-ordinates.

yin The array of input vertical co-ordinates.

xout
    The array of output horizontal co-ordinates are written here.

yout
    The array of output vertical co-ordinates are written here.

to_linear
    If TRUE, then a pixel to linear co-ordinate transform is required, else a linear to pixel co-ordinate transform is required.

info
    A pointer to the arbitrary canvas information pointer.

RETURN VALUE
TRUE if the conversion was completed, else FALSE indicating that the default conversions should be used.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/